getDepedentJarPaths()
{
    JarFolderPath=`pwd`/dependentjars
    local JARPATHS=.
    for file in "$JarFolderPath"/*
    do
      if [ -f "$file" ];then
        JARPATHS=$JARPATHS:$file
      fi
    done
    echo "${JARPATHS}"
}
JARPATHS=$( getDepedentJarPaths)
javac -cp ${JARPATHS} -d bin src/com/novell/oauth/samples/*.java
java -cp bin:${JARPATHS}  com.novell.oauth.samples.IDTokenDecoder 
exit 0
